# $Revision: 1.53.2.24 $, $Date: 2008-04-28 05:51:07 $
#
#
Summary:	DevHelp is a developer's help program for GNOME
Summary(pl):	Program pomocy dla programistw GNOME
Name:		devhelp
Version:	0.10
Release:	23
License:	GPL v2+
Group:		X11/Applications
Source0:	http://ftp.imendio.com/pub/imendio/devhelp/src/%{name}-%{version}.tar.gz
# Source0-md5:	79e71acb839ca504f37cccf2e520abe1
Patch0:		%{name}-bookdir.patch
Patch1:		%{name}-mozilla.patch
Patch2:		%{name}-mozilla_includes.patch
Patch3:		%{name}-desktop.patch
Patch4:		%{name}-xulrunner.patch
URL:		http://www.imendio.com/projects/devhelp/
BuildRequires:	GConf2-devel
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gnome-common >= 2.8.0
BuildRequires:	gnome-vfs2-devel >= 2.10.0-2
BuildRequires:	gtk+2-devel >= 2:2.6.4
BuildRequires:	libglade2-devel >= 1:2.5.1
BuildRequires:	libtool
BuildRequires:	xulrunner-devel >= 1.8.0.4
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.197
BuildRequires:	zlib-devel
Requires(post,preun):	GConf2
Requires:	%{name}-libs = %{version}-%{release}
%requires_eq	xulrunner-libs
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# can be provided by mozilla or mozilla-embedded
%define		_noautoreqdep	libgtkembedmoz.so libxpcom.so

%description
DevHelp is a developer's help program for GNOME.

%description -l pl
Program pomocy dla programistw GNOME.

%package libs
Summary:	Library to embed Devhelp in other applications
Summary(pl):	Biblioteka do osadzania Devhelp w innych aplikacjach
Group:		Libraries

%description libs
Library of Devhelp for embedding into other applications..

%description libs -l pl
Biblioteka Devhelp do osadzania w innych aplikacjach..

%package devel
Summary:	Headers for Devhelp library
Summary(pl):	Pliki nagwkowe biblioteki Devhelp
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}

%description devel
Headers for Devhelp library.

%description devel -l pl
Pliki nagwkowe biblioteki Devhelp.

%package static
Summary:	Static Devhelp library
Summary(pl):	Statyczna biblioteka Devhelp
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static version of Devhelp library.

%description static -l pl
Statyczna biblioteka Devhelp.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-install-schemas \
	--with-mozilla=xulrunner
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_sysconfdir}/gconf \
	$RPM_BUILD_ROOT%{_datadir}/%{name}/{books,specs}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -rf $RPM_BUILD_ROOT%{_datadir}/mime-info

rm -r $RPM_BUILD_ROOT%{_datadir}/locale/no

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%gconf_schema_install devhelp.schemas

%preun
%gconf_schema_uninstall devhelp.schemas

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%attr(755,root,root) %{_bindir}/devhelp*
%{_datadir}/%{name}
%{_desktopdir}/*.desktop
%{_pixmapsdir}/*
%{_sysconfdir}/gconf/schemas/*

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_pkgconfigdir}/*.pc
%{_includedir}/*

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: devhelp.spec,v $
Revision 1.53.2.24  2008-04-28 05:51:07  glen
- release 23 (xulrunner 1.8.1.14)

Revision 1.53.2.23  2008-04-03 19:23:19  glen
- release 22 (xulrunner 1.8.1.13)

Revision 1.53.2.22  2008-02-08 20:01:24  hawk
- release 21 (xulrunner 1.8.1.12)

Revision 1.53.2.21  2007-12-02 12:34:28  hawk
- release 20 (xulrunner 1.8.1.11)

Revision 1.53.2.20  2007-11-27 21:38:34  glen
- rel 19 (xulrunner 1.8.1.10)

Revision 1.53.2.19  2007-11-09 11:57:50  glen
- xulrunner-1_8_1_9-1_20071102_1

Revision 1.53.2.18  2007-10-20 16:27:48  hawk
- release 17 (xulrunner 1.8.1.8)

Revision 1.53.2.17  2007/09/20 19:45:20  glen
- rel 16 (xulrunner 1.8.1.7)

Revision 1.53.2.16  2007/08/28 14:42:28  glen
- rel 15 (xulrunner 1.8.1.6)

Revision 1.53.2.15  2007/07/18 16:09:51  hawk
- release 14 (xulrunner 1.8.1.5)

Revision 1.53.2.14  2007/06/03 15:10:28  hawk
- release 13, xulrunner 1.8.1.4

Revision 1.53.2.13  2007/03/21 21:17:28  hawk
- release 12 (xulrunner 1.8.1.3)

Revision 1.53.2.12  2007/02/26 11:59:25  hawk
- release 11

Revision 1.53.2.11  2007/01/25 13:08:44  hawk
- dropped mozilla_firefox bcond, firefox no longer provides devel package

Revision 1.53.2.10  2007/01/03 18:44:55  hawk
- fixed xulrunner-libs R

Revision 1.53.2.9  2007/01/03 18:03:51  hawk
- specify which mozilla to use for compilation, autodetect fails with
  more than one gecko installed

Revision 1.53.2.8  2007/01/01 19:32:21  hawk
- mozilla is dead, replaced mozilla deps with xulrunner deps
- build against xulrunner by default, added patch to make it possible
- release 10

Revision 1.53.2.7  2006/12/08 14:56:15  glen
- rel 9 (fixed empty commit message)

Revision 1.53.2.6  2006/12/08 14:35:35  glen
- rel 8 (mozilla-firefox-2.0)

Revision 1.53.2.5  2006/09/15 18:21:16  glen
- rel 7 (mozilla-firefox 1.5.0.7)

Revision 1.53.2.4  2006/08/03 11:59:05  hawk
- release 6

Revision 1.53.2.3  2006/07/30 15:10:10  hawk
- release 5 to rebuild with new firefox

Revision 1.53.2.2  2006/06/05 06:57:09  hawk
- release 4

Revision 1.53.2.1  2006/05/19 16:13:16  freetz
- rel.3, firefox support by default

Revision 1.53  2005/10/02 19:58:38  arekm
- rel 2

Revision 1.52  2005/05/19 10:57:23  paladine
- simpler mozilla-firefox requiers

Revision 1.51  2005/05/19 09:19:36  paladine
- added mozilla firefox bcond

Revision 1.50  2005/05/09 08:40:28  paladine
- read NEWS!, devhelp 0.10 doesn't depend on libgnomeui

Revision 1.49  2005/05/08 21:49:49  aredridel
- up to 0.10

Revision 1.48  2005/04/13 22:54:33  paladine
- new style macros
- don't package gnome-mime-data stuff
- rel. 5

Revision 1.47  2005/03/27 13:15:16  paladine
- proper license
- gpm-friendly Source0 URL
- missing BR: pkgconfig
- require newer stuff

Revision 1.46  2005/03/20 17:54:27  aflinta
- rebuild with howl 0.9.10, release 4

Revision 1.45  2005/01/13 14:37:57  hawk
- release++ to rebuild with new mozilla

Revision 1.44  2004/11/17 10:53:47  paladine
- added desktop patch
- rel 2

Revision 1.43  2004/11/10 13:58:58  paladine
- cosmetics

Revision 1.42  2004/11/01 17:14:35  grzegol
- updated to 0.9.3
- removed outdated mozilla_home patch
- added mozilla and mozilla_includes patches (buildfixes)

Revision 1.41  2004/09/27 20:40:26  grzegol
- updated to 0.9.2
- removed locale-names patch and remove no locale in %install

Revision 1.40  2004/09/17 11:24:18  aflinta
- rebuild with mozilla, release 3

Revision 1.39  2004/09/15 18:24:36  grzegol
- in gnome-common-2.8.0 all macros are in %{_aclocaldir}, not in
  %{_aclocaldir}/gnome2-macros, so remove -I %{_aclocal}/gnome2-macros from
  %{__aclocal} args and BR: gnome-common >= 2.8.0

Revision 1.38  2004/08/17 14:55:30  ankry
- rel. 2 to rebuild

Revision 1.37  2004/07/26 00:21:22  grzegol
- updated to 0.9.1
- added %define _noautoreqdep libgtkembedmoz.so libxpcom.so

Revision 1.36  2004/07/20 05:11:29  ankry
- rel. 4

Revision 1.35  2004/06/18 07:53:14  aflinta
- release 3 to rebuild with mozilla 1.7

Revision 1.34  2004/04/12 13:31:18  grzegol
- merged 0.9 from DEVEL

Revision 1.33.2.2  2004/03/20 22:40:05  grzegol
- added mozilla_home patch (set MOZILLA_HOME to /usr/lib/mozilla)
- more strict mozilla require
- rel. 2

Revision 1.33.2.1  2004/03/17 12:17:06  grzegol
- updated to 0.9 (on DEVEL, because it requires gtk+ >= 2.3.1)
- removed outdated enable-deprecated patch
- added BR: mozilla-devel (devhelp, from now, doesn't support libgtkhtml
  it uses gecko for rendering)
- added %post/%postun %gconf_schema_install

Revision 1.33  2004/02/13 13:49:53  grzegol
- added locale-names patch (no -> nb)
- added -libs subpackage with libdevhelp library
- updated BRs, Rs

Revision 1.32  2004/02/13 13:43:10  aflinta
- and fast upgrade to version 0.8.1

Revision 1.31  2004/02/13 13:38:25  aflinta
- up to version 0.8, added devel and static subpackages

Revision 1.30  2004/01/19 13:29:21  trojan
- added enable-deprecated patch (for allow build with gtk+2 >= 2.3)
- added lt/am/ac regeneration (with proper BR)

Revision 1.29  2004/01/09 12:36:43  jajcus
- Release: 3
- refresh config.sub (for AMD64)

Revision 1.28  2003/12/07 12:53:32  krzak
- URL update

Revision 1.27  2003/11/19 17:26:19  qboosh
- pl fix, reverted BR (devhelp doesn't use xft, it's only gtk dependency)

Revision 1.26  2003/11/19 15:58:30  twittner
- BR: xft-devel added.

Revision 1.25  2003/08/18 08:08:00  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.24  2003/08/05 11:59:01  grzegol
- rel++ to rebuild without linc
- cosmetics/sorting/simplifications/etc.

Revision 1.23  2003/07/07 13:14:26  qboosh
- missing dir, removed useless .a and .la

Revision 1.22  2003/07/07 13:03:14  qboosh
- use _desktopdir macro, other minor changes where needed

Revision 1.21  2003/06/29 18:29:26  aflinta
- version 0.7

Revision 1.20  2003/05/26 16:24:53  malekith
- massive attack: adding Source-md5

Revision 1.19  2003/05/25 05:46:43  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.18  2003/04/25 08:53:29  aflinta
- updated to version 0.6.0

Revision 1.17  2003/03/06 11:58:03  trojan
- added bookdir patch
- removed ac regeneration

Revision 1.16  2003/03/06 11:03:51  trojan
- added desktop patch

Revision 1.15  2003/03/06 10:19:03  trojan
- updated to 0.5.0

Revision 1.14  2003/01/18 22:46:44  juandon
- removed two lines with define

Revision 1.13  2002/08/31 02:22:30  maryush
- updated to 0.4

Revision 1.12  2002/06/27 15:20:40  wrobell
- fixed build requirements (credits to Jarosaw Kruk)

Revision 1.11  2002/05/21 23:12:47  kloczek
- perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
     s/^autoconf/\%\{__autoconf\}/"

Revision 1.10  2002/05/20 14:21:59  trojan
- typo

Revision 1.9  2002/05/14 19:09:25  qboosh
- removed some unwanted dirs from package
- added %{_datadir}/devhelp/{books,specs} dirs (for DevHelp books)

Revision 1.8  2002/04/29 08:58:42  blues
- use normal configure macro (regenerated ac stuff)
- sort BR

Revision 1.7  2002/04/28 18:21:03  maryush
- fix one invalid file path

Revision 1.6  2002/04/28 18:01:00  maryush
- fix some permission errors

Revision 1.4  2002/04/25 16:10:44  arturs
- fixed a small typo

Revision 1.3  2002/02/22 23:28:47  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.2  2002/01/18 02:12:41  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.1  2001/12/06 22:36:16  misiek
- almost raw
